package com.ssj.service.conch.teacher.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2019/7/10
 */
public class NoFinishTaskDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 提醒任务列表
     */
    private List<RemindTask> remindTaskList;

    public class RemindTask implements Serializable {
        private static final long serialVersionUID = 1L;
        /**
         * 学生id
         */
        private String vipId;
        /**
         * 学生姓名
         */
        private String studentName;
        /**
         * 头像
         */
        private String imgUrl;
        /**
         * 提醒时间
         */
        private String remindTime;
        /**
         * 提醒类型1:模糊,2:作业不全
         */
        private int remindType;
        /**
         * 提醒数量
         */
        private int remindNum;
        /**
         * 提醒科目
         */
        private String remindSubject;
        /**
         * 封面图片
         */
        private String coverUrl;

        public String getCoverUrl() {
            return coverUrl;
        }

        public void setCoverUrl(String coverUrl) {
            this.coverUrl = coverUrl;
        }

        public String getVipId() {
            return vipId;
        }

        public void setVipId(String vipId) {
            this.vipId = vipId;
        }

        public String getStudentName() {
            return studentName;
        }

        public void setStudentName(String studentName) {
            this.studentName = studentName;
        }

        public String getImgUrl() {
            return imgUrl;
        }

        public void setImgUrl(String imgUrl) {
            this.imgUrl = imgUrl;
        }

        public String getRemindTime() {
            return remindTime;
        }

        public void setRemindTime(String remindTime) {
            this.remindTime = remindTime;
        }

        public int getRemindType() {
            return remindType;
        }

        public void setRemindType(int remindType) {
            this.remindType = remindType;
        }

        public int getRemindNum() {
            return remindNum;
        }

        public void setRemindNum(int remindNum) {
            this.remindNum = remindNum;
        }

        public String getRemindSubject() {
            return remindSubject;
        }

        public void setRemindSubject(String remindSubject) {
            this.remindSubject = remindSubject;
        }
    }

    /**
     * 学生作业任务列表
     */
    private List<StudentHomeworkTask> studentHomeworkTaskList;

    public class StudentHomeworkTask implements Serializable {
        private static final long serialVersionUID = 1L;
        /**
         * 学生id
         */
        private String vipId;
        /**
         * 学生姓名
         */
        private String studentName;
        /**
         * 头像
         */
        private String imgUrl;
        /**
         * 是否编辑 0：未编辑 1:已编辑
         */
        private int isEdit;
        /**
         * 提交作业数量
         */
        private int submitHomeworkNum;
        /**
         * 已批改作业数量
         */
        private int correctHomeworkNum;

        /**
         * 学生作业详情
         */
        private List<SubjectHomework> subjectHomeworkList;

        public String getVipId() {
            return vipId;
        }

        public void setVipId(String vipId) {
            this.vipId = vipId;
        }

        public String getStudentName() {
            return studentName;
        }

        public void setStudentName(String studentName) {
            this.studentName = studentName;
        }

        public String getImgUrl() {
            return imgUrl;
        }

        public void setImgUrl(String imgUrl) {
            this.imgUrl = imgUrl;
        }

        public int getIsEdit() {
            return isEdit;
        }

        public void setIsEdit(int isEdit) {
            this.isEdit = isEdit;
        }

        public int getSubmitHomeworkNum() {
            return submitHomeworkNum;
        }

        public void setSubmitHomeworkNum(int submitHomeworkNum) {
            this.submitHomeworkNum = submitHomeworkNum;
        }

        public int getCorrectHomeworkNum() {
            return correctHomeworkNum;
        }

        public void setCorrectHomeworkNum(int correctHomeworkNum) {
            this.correctHomeworkNum = correctHomeworkNum;
        }

        public List<SubjectHomework> getSubjectHomeworkList() {
            return subjectHomeworkList;
        }

        public void setSubjectHomeworkList(List<SubjectHomework> subjectHomeworkList) {
            this.subjectHomeworkList = subjectHomeworkList;
        }
    }

    /**
     * 学生任务列表
     */
    private List<StudentTask> studentTaskList;

    public class StudentTask implements Serializable {
        private static final long serialVersionUID = 1L;
        /**
         * 学生id
         */
        private String vipId;
        /**
         * 学生姓名
         */
        private String studentName;
        /**
         * 头像
         */
        private String imgUrl;
        /**
         * 是否编辑 0：未编辑 1:已编辑
         */
        private int isEdit;

        public String getVipId() {
            return vipId;
        }

        public void setVipId(String vipId) {
            this.vipId = vipId;
        }

        public String getStudentName() {
            return studentName;
        }

        public void setStudentName(String studentName) {
            this.studentName = studentName;
        }

        public String getImgUrl() {
            return imgUrl;
        }

        public void setImgUrl(String imgUrl) {
            this.imgUrl = imgUrl;
        }

        public int getIsEdit() {
            return isEdit;
        }

        public void setIsEdit(int isEdit) {
            this.isEdit = isEdit;
        }
    }

    public List<RemindTask> getRemindTaskList() {
        return remindTaskList;
    }

    public void setRemindTaskList(List<RemindTask> remindTaskList) {
        this.remindTaskList = remindTaskList;
    }

    public List<StudentHomeworkTask> getStudentHomeworkTaskList() {
        return studentHomeworkTaskList;
    }

    public void setStudentHomeworkTaskList(List<StudentHomeworkTask> studentHomeworkTaskList) {
        this.studentHomeworkTaskList = studentHomeworkTaskList;
    }

    public List<StudentTask> getStudentTaskList() {
        return studentTaskList;
    }

    public void setStudentTaskList(List<StudentTask> studentTaskList) {
        this.studentTaskList = studentTaskList;
    }
}
